Bug 839432 - Invalid glossary PO file accepted when pushing from python client
Invalid glossary PO file accepted when pushing from python client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: anish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 20:53 EDT by Carlos Munoz
Modified: 2014-12-19 19:16 EST (History)
5 users (show)

See Also:
Fixed In Version: zanata-python-client-1.3.18-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-06 05:20:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-07-11 20:53:41 EDT
Description of problem:
An invalid glossary PO file is not rejected by the server when pushing via the python client.


Version-Release number of selected component (if applicable):
1.7-SNAPSHOT
Python client: 1.3.3-29-gee3c

How reproducible:
Always


Steps to Reproduce:
1. Modify a valid compendium glossary PO file and make it invalid (i.e. remove one of the msgid's).
2. Push this file using the python client command: 
zanata glossary push --lang <language> <invalid_file>
  
Actual results:
"Successfully pushed glossary to the server"

Expected results:
An error informing that the file could not be pushed.

Additional info:
The same file is rejected when pushing via the maven client.
Comment 2 Fedora End Of Life 2013-04-03 15:17:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Admin XMLRPC Client 2013-08-13 00:45:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2014-07-11 03:00:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2014-09-11 02:05:10 EDT
zanata-python-client-1.3.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.15-1.fc21
Comment 6 Fedora Update System 2014-09-11 02:05:24 EDT
zanata-python-client-1.3.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.15-1.fc20
Comment 7 Fedora Update System 2014-09-11 10:36:08 EDT
Package zanata-python-client-1.3.15-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zanata-python-client-1.3.15-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10665/zanata-python-client-1.3.15-1.fc21
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-09-19 06:22:49 EDT
zanata-python-client-1.3.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.16-1.fc20
Comment 9 Fedora Update System 2014-09-19 06:23:06 EDT
zanata-python-client-1.3.16-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.16-1.fc21
Comment 10 Fedora Update System 2014-11-07 04:38:22 EST
zanata-python-client-1.3.16-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.16-2.fc20
Comment 11 Fedora Update System 2014-11-07 04:38:42 EST
zanata-python-client-1.3.16-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.16-2.fc21
Comment 12 Fedora Update System 2014-11-07 04:40:03 EST
zanata-python-client-1.3.16-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.16-2.el7
Comment 13 Fedora Update System 2014-12-03 02:57:15 EST
zanata-python-client-1.3.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.18-1.fc20
Comment 14 Fedora Update System 2014-12-03 02:57:39 EST
zanata-python-client-1.3.18-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.18-1.el7
Comment 15 Fedora Update System 2014-12-03 02:58:02 EST
zanata-python-client-1.3.18-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.18-1.fc21
Comment 16 Fedora Update System 2014-12-06 05:20:47 EST
zanata-python-client-1.3.16-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-12-11 23:36:01 EST
zanata-python-client-1.3.18-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-12-13 04:45:21 EST
zanata-python-client-1.3.18-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-12-19 19:16:33 EST
zanata-python-client-1.3.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.